This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 716147 - FTBFS libpqxx-3.0.2-4.fc13
FTBFS libpqxx-3.0.2-4.fc13
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libpqxx (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Reopened, Triaged
Depends On:
Blocks: F16FTBFS
  Show dependency treegraph
 
Reported: 2011-06-23 12:24 EDT by FTBFS
Modified: 2013-02-21 08:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 08:49:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (158.41 KB, text/plain)
2011-06-23 12:24 EDT, FTBFS
no flags Details
build.log (16.65 KB, text/plain)
2011-06-23 12:24 EDT, FTBFS
no flags Details
mock.log (1.20 KB, text/plain)
2011-06-23 12:24 EDT, FTBFS
no flags Details
root.log (207.36 KB, text/plain)
2011-06-23 12:24 EDT, FTBFS
no flags Details
build.log (16.48 KB, text/plain)
2011-06-23 12:24 EDT, FTBFS
no flags Details
mock.log (1.21 KB, text/plain)
2011-06-23 12:24 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2011-06-23 12:24:34 EDT
libpqxx-3.0.2-4.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 12:24:37 EDT
Created attachment 509162 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 12:24:39 EDT
Created attachment 509163 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 12:24:40 EDT
Created attachment 509164 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 12:24:41 EDT
Created attachment 509165 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 12:24:43 EDT
Created attachment 509166 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 12:24:44 EDT
Created attachment 509167 [details]
mock.log


mock.log for x86_64
Comment 8 Henrik Nordström 2011-10-20 04:19:41 EDT
This FTBFS needs to be fixed in F15 as well for koffice and a few other applications to build in the arm secondary arch.
Comment 9 Rex Dieter 2011-10-20 07:31:10 EDT
Andreas, where did you get libpqxx-3.2 from?  I see 3.1 as the latest... everywhere on
http://pqxx.org/development/libpqxx/
Comment 10 Rex Dieter 2011-10-20 08:00:48 EDT
My guess is what was used here was a scm snapshot of 3.2 development (which is tracking 4.0 now).

I'm not sure how practical it will be to backport ftbfs fixes back to 3.0 (what was included in f15).  backporting to upstream's stable 3.1 release may be hard enough.

I'm of a mind just to merge what's in f16+ back to f15 branch and call it good.  any other opinions or recommendations?
Comment 11 Andreas Bierfert 2011-10-20 16:06:22 EDT
I am pretty sure I pulled this from libpqxx webpage as part of fixing this bug... I will have a look.
Comment 12 Mat Booth 2013-02-21 08:49:41 EST
This package appears to be building successfully on all current branches:

http://koji.fedoraproject.org/koji/packageinfo?packageID=2389

Note You need to log in before you can comment on or make changes to this bug.